GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/d-valprint.c File Reference
`#include "defs.h"`
`#include "gdbtypes.h"`
`#include "gdbcore.h"`
`#include "d-lang.h"`
`#include "c-lang.h"`

Go to the source code of this file.

## Functions
static int | dynamic_array_type (struct type *type, LONGEST embedded_offset, CORE_ADDR address, struct ui_file *stream, int recurse, struct value *val, const struct value_print_options *options)
void | d_val_print (struct type *type, int embedded_offset, CORE_ADDR address, struct ui_file *stream, int recurse, struct value *val, const struct value_print_options *options)

## Function Documentation

## ◆ d_val_print()

void d_val_print | ( | struct type * | type,
|  | int | embedded_offset,
|  | CORE_ADDR | address,
|  | struct ui_file * | stream,
|  | int | recurse,
|  | struct value * | val,
|  | const struct value_print_options * | options
| ) |  |

Definition at line 76 of file d-valprint.c.

References value::address, c_val_print(), check_typedef(), dynamic_array_type(), value::embedded_offset, TYPE_CODE, and TYPE_CODE_STRUCT.

Referenced by dynamic_array_type().

## ◆ dynamic_array_type()

static int dynamic_array_type | ( | struct type * | type,
|  | LONGEST | embedded_offset,
|  | CORE_ADDR | address,
|  | struct ui_file * | stream,
|  | int | recurse,
|  | struct value * | val,
|  | const struct value_print_options * | options
| ) |  |
| static

Definition at line 31 of file d-valprint.c.

References check_typedef(), d_val_print(), value::embedded_offset, lookup_array_range_type(), TARGET_CHAR_BIT, TYPE_CODE, TYPE_CODE_INT, TYPE_FIELD_BITPOS, TYPE_FIELD_NAME, TYPE_FIELD_TYPE, TYPE_LENGTH, TYPE_NFIELDS, TYPE_TARGET_TYPE, unpack_field_as_long(), unpack_pointer(), value_at(), value_bits_any_optimized_out(), value_contents_for_printing(), value_embedded_offset(), and value_type().

Referenced by d_val_print().